Subject: Re: bug#27264: gnome-shell-3.24.2 consistently dies during initialization

From: Marius Bakke <[email-masked]>
Date: Thu, 08 Jun 2017 08:03:22 +0200

Mark H Weaver <[email-masked]> writes:

> Roel Janssen <[email-masked]> writes:
>
>> Ludovic Courtès writes:
>>
>>> Hi,
>>>
>>> Mark H Weaver <[email-masked]> skribis:
>>>
>>>> (.gnome-shell-real:11698): Gjs-WARNING **: JS ERROR: Error: Requiring Rsvg, version none: Typelib file for namespace 'Rsvg' (any version) not found
>>>
>>> Looks like the librsvg JS bindings are missing.  Would it help to add
>>> librsvg as an input to ‘gnome-shell’?
>>>
>>> Ludo’.
>>
>> Adding librsvg to gnome-shell solves this problem, however, a similar
>> error for Geoclue2 occurs.  I added 'geoclue' to the inputs, but that
>> doesn't solve the problem.
>
> Thanks.
>
> I have a question: Does GNOME 3 work for *anyone* in Guix now?  If so,
> that would be useful information.  If not, I wonder why this got merged
> into master.

I'm sorry, I don't actually use GNOME and should have tested it before
pushing. I have been busy lately and didn't want to hold up the branch.

It would be good to have a system test for GNOME and other DEs so we can
catch these problems earlier.

I'll try to help fixing this later today, but feel free to revert the
updates meanwhile.